Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 658884 - Stabilize python project maintained packages for python3_6
Summary: Stabilize python project maintained packages for python3_6
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on: 659248 659104 659126 659804
Blocks: py3_6_switch 658978 659050
  Show dependency tree
 
Reported: 2018-06-23 19:47 UTC by Pacho Ramos
Modified: 2018-08-06 03:54 UTC (History)
0 users

See Also:
Package list:
dev-python/ws4py-0.5.1 amd64 arm x86
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2018-06-23 19:47:08 UTC
needed for python 3.6
Comment 1 Stabilization helper bot gentoo-dev 2018-06-23 20:13:34 UTC
An automated check of this bug failed - repoman reported dependency errors (226 lines truncated): 

> dependency.bad dev-python/odo/odo-0.5.0-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/dask-0.11.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/odo/odo-0.5.0-r1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/dask-0.11.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/odo/odo-0.5.0-r1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=dev-python/dask-0.11.1[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/pygame/pygame-1.9.3.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['media-libs/portmidi']
> dependency.bad dev-python/pygame/pygame-1.9.3.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['media-libs/portmidi']
> dependency.bad dev-python/pygame/pygame-1.9.3.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['media-libs/portmidi']
> dependency.bad dev-python/blaze/blaze-0.11.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/dask[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/blaze/blaze-0.11.3.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/dask[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/blaze/blaze-0.11.3.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/dask[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/celery/celery-4.1.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/billiard-3.5.0.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/celery/celery-4.1.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/billiard-3.5.0.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/celery/celery-4.1.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=dev-python/billiard-3.5.0.2[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 2 Stabilization helper bot gentoo-dev 2018-06-23 21:08:20 UTC
An automated check of this bug failed - repoman reported dependency errors (63 lines truncated): 

> dependency.bad dev-python/dask/dask-0.15.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/partd-0.3.8[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/distributed-1.16[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/s3fs-0.0.8[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/dask/dask-0.15.1.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['>=dev-python/partd-0.3.8[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/distributed-1.16[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/s3fs-0.0.8[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/dask/dask-0.15.1.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['>=dev-python/partd-0.3.8[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/distributed-1.16[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', '>=dev-python/s3fs-0.0.8[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 3 Stabilization helper bot gentoo-dev 2018-06-23 22:08:04 UTC
An automated check of this bug failed - repoman reported dependency errors (63 lines truncated): 

> dependency.bad dev-python/distributed/distributed-1.18.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/sortedcollections[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/tblib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/zict[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/distributed/distributed-1.18.0.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/sortedcollections[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/tblib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/zict[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/distributed/distributed-1.18.0.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/sortedcollections[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/tblib[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/zict[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 4 Stabilization helper bot gentoo-dev 2018-06-23 23:10:35 UTC
An automated check of this bug failed - repoman reported dependency errors (63 lines truncated): 

> dependency.bad dev-python/zict/zict-0.1.2.ebuild: DEPEND: amd64(default/linux/amd64/17.0) ['dev-python/HeapDict[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/lmdb[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/zict/zict-0.1.2.ebuild: RDEPEND: amd64(default/linux/amd64/17.0) ['dev-python/HeapDict[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/zict/zict-0.1.2.ebuild: DEPEND: amd64(default/linux/amd64/17.0/desktop) ['dev-python/HeapDict[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]', 'dev-python/lmdb[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-24 09:43:18 UTC
amd64 stable
Comment 6 Larry the Git Cow gentoo-dev 2018-06-24 10:18:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd415c0057806e1ee700fbcd11d16ceb4f27f1ab

commit bd415c0057806e1ee700fbcd11d16ceb4f27f1ab
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-24 10:18:02 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-24 10:18:14 +0000

    dev-python/pyftpdlib: stable 1.5.3 for ia64, bug #658884
    
    Bug: https://bugs.gentoo.org/658884
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ia64"

 dev-python/pyftpdlib/pyftpdlib-1.5.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 Thomas Deutschmann gentoo-dev Security 2018-06-25 14:58:09 UTC
x86 stopped stabilization due to bug 659104.
Comment 8 Thomas Deutschmann gentoo-dev Security 2018-06-25 16:24:33 UTC
Cannot proceed because a dep doesn't build against Python 3.6 (bug 658864).
Comment 9 Mike Gilbert gentoo-dev 2018-06-26 17:27:30 UTC
sci-libs/scipy is not in the package list, so I am dropping the dependency on bug 614464.
Comment 10 Larry the Git Cow gentoo-dev 2018-06-27 06:25:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed5ad36f9fcad4a385823dc69b1d62fb8ad5197d

commit ed5ad36f9fcad4a385823dc69b1d62fb8ad5197d
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-26 13:29:39 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-27 06:24:38 +0000

    dev-python/pyftpdlib: stable 1.5.3 for sparc
    
    Bug: https://bugs.gentoo.org/658884
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="sparc"

 dev-python/pyftpdlib/pyftpdlib-1.5.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 11 Tobias Klausmann gentoo-dev 2018-06-27 10:06:33 UTC
Stable on alpha.
Comment 12 Larry the Git Cow gentoo-dev 2018-06-27 21:54:38 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=955de9de1c90ab69140dd097b940e942005f561d

commit 955de9de1c90ab69140dd097b940e942005f561d
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-27 19:37:24 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-27 21:53:45 +0000

    media-libs/portmidi: stable 217-r1 for ppc, bug #658884
    
    Bug: https://bugs.gentoo.org/658884
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc"

 media-libs/portmidi/portmidi-217-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 13 Larry the Git Cow gentoo-dev 2018-06-30 10:18:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55308753ea1179f35b9e44e6d7785fbfdf90f5c8

commit 55308753ea1179f35b9e44e6d7785fbfdf90f5c8
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-30 08:23:43 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-30 10:17:59 +0000

    dev-python/pygame: stable 1.9.3 for hppa
    
    Bug: https://bugs.gentoo.org/658884
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="hppa"

 dev-python/pygame/pygame-1.9.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 14 Thomas Deutschmann gentoo-dev Security 2018-07-01 21:55:43 UTC
x86 stopped stabilization due to bug 659792.
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-07-21 00:06:19 UTC
x86 stable (but single really broken package)
Comment 16 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-07-24 00:38:40 UTC
ppc stable
Comment 17 Thomas Deutschmann gentoo-dev Security 2018-07-28 13:46:08 UTC
x86 stable
Comment 18 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-08-06 03:54:54 UTC
arm stable